package org.rcisoft.bus.wmsgoodsapply.dao;

import org.rcisoft.bus.wmsgoodsapply.dto.ImportGoodsTempDto;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.bus.wmsgoodsapply.entity.WmsGoodsApply;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;
import org.rcisoft.core.model.CyPageInfo;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
* Created with cy on 2024年5月29日 下午1:21:49.
*/

public interface WmsGoodsApplyRepository extends CyBaseMapper<WmsGoodsApply> {


    List<WmsGoodsApply> queryWmsGoodsApplys(@Param("entity") WmsGoodsApply wmsGoodsApply);

    /**
    * 分页查询 wmsGoodsApply
    *
    */
    IPage<WmsGoodsApply> queryWmsGoodsApplysPaged(CyPageInfo cyPageInfo,@Param("entity") WmsGoodsApply wmsGoodsApply);
    IPage<WmsGoodsApply> queryWmsGoodsApplysOutPaged(CyPageInfo cyPageInfo,@Param("entity") WmsGoodsApply wmsGoodsApply);

    void  batchAdd(@Param("list") List<WmsGoodsApply> list);

    int getOrderCodeCount(String data);
}

