package org.rcisoft.bus.wmsgoodsapply.dto;

import lombok.Data;

import java.util.List;

/**
 * @Author: gy
 * @Date: 2024/4/12 22:13
 * @Description: 导入检查数据
 */
@Data
public class ImportGoodsTempDto {
    /**
     * 检查数据导入的文件的名称
     */
    private String filename;

    /**
     * 文件导入之后插入文件的数据
     */
    private List<ExportEntryDto> insert;

    /**
     * 成功之后返回的条数
     * **/
    private Integer rows;

    private Integer total;
}
