package org.rcisoft.bus.wmsgoodslog.dao;

import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.bus.wmsgoodslog.entity.WmsGoodsLog;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;
import org.rcisoft.core.model.CyPageInfo;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
* Created with cy on 2024年5月29日 下午1:21:49.
*/

public interface WmsGoodsLogRepository extends CyBaseMapper<WmsGoodsLog> {


    List<WmsGoodsLog> queryWmsGoodsLogs(@Param("entity") WmsGoodsLog wmsGoodsLog);

    /**
    * 分页查询 wmsGoodsLog
    *
    */
    IPage<WmsGoodsLog> queryWmsGoodsLogsPaged(CyPageInfo cyPageInfo,@Param("entity") WmsGoodsLog wmsGoodsLog);

    int batchPersist(@Param("list") List<WmsGoodsLog> list);
}

